package com.cj.jiaqingjiayi.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.util.Date;

@Data
public class AppointmentsVO {

    /**
     * 预约ID
     */
    private Long id;

    /**
     * 用户ID（关联用户表）
     */
    private Long userId;

    /**
     * 用户姓名
     */
    private String username;

    /**
     * 手机号
     */
    private String phone;

    /**
     * 商家ID（关联商家表）
     */
    private Long businessId;

    /**
     * 商家名
     */
    private String businessName;

    /**
     * 美甲师ID, 如果为空到店分配
     */
    private Long manicuristId;

    /**
     * 美甲师名
     */
    private String manicuristName;

    /**
     * 预约时间
     */
    private Date appointmentTime;

    /**
     * 服务方式（0 - 线上, 1 - 到店）
     */
    private Integer serviceMode;

    /**
     * 备注
     */
    private String notes;

    /**
     * 预约状态（0 - 已确认, 1 - 已完成, 2 - 已取消）
     */
    private Integer status;

    /**
     *订单id
     */
    private Long orderId;
}
