package com.cj.jiaqingjiayi.model.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

@Data
public class ManicuristsignVO implements Serializable {

    /**
     *
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 姓名
     */
    private String name;

    /**
     * 美甲师ID（关联美甲师表）
     */
    private Long manicuristId;

    /**
     * 门店名称
     */
    private String businessName;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 期望工资薪资
     */
    private BigDecimal salary;

    /**
     * 签约时长
     */
    private String signTime;

    /**
     * 工龄
     */
    private String tenure;

    /**
     * 美甲师等级
     */
    private String manicuristLv;

    /**
     * 审核状态，0-待审核，1-审核通过，2-审核不通过
     */
    private Integer auditStatus;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
