package com.cj.jiaqingjiayi.service;

import com.cj.jiaqingjiayi.model.domain.Manicuristsign;
import com.baomidou.mybatisplus.extension.service.IService;
import com.cj.jiaqingjiayi.model.vo.ManicuristsignVO;

import java.util.List;

/**
* @author 高木
* @description 针对表【manicuristsign(美甲师表)】的数据库操作Service
* @createDate 2025-02-26 19:29:22
*/
public interface ManicuristsignService extends IService<Manicuristsign> {

    /**
     * 获取脱敏后的签约表
     */
    ManicuristsignVO getManicuristsignVO(Manicuristsign manicuristsign);

    /**
     * 获取签约脱敏列表
     */
    List<ManicuristsignVO> getManicuristsignVO(List<Manicuristsign> manicuristsignList);
}
